Package com.ads.api.beans.common

# Class AuditHistory

java.lang.Object
com.ads.api.beans.common.AuditHistory

public class AuditHistory extends Object
This class provides some beans control methods related AuditHistory such as createdBy, createdDate, lastModifiedBy and lastModifiedDate...

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditHistory()`
  `AuditHistory(String createdBy, Date createdDate, String lastModifiedBy, Date lastModifiedDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  Returns the name of the user.
  `String`
  `getCreatedDate()`
  Returns the createdDate.
  `Date`
  `getCreatedDate(boolean isReturnDateObject)`
  `String`
  `getLastModifiedBy()`
  Returns the user who has recently modified.
  `String`
  `getLastModifiedDate()`
  Returns the LastModifiedDate.
  `Date`
  `getLastModifiedDate(boolean isReturnDateObject)`
  `AuditHistory`
  `setCreatedBy(String createdBy)`
  Method to set the value for createdBy as specified.
  `AuditHistory`
  `setCreatedDate(Date createdDate)`
  Method sets the createdDate to the value as specified in argument.
  `AuditHistory`
  `setLastModifiedBy(String lastModifiedBy)`
  Method to set the value for lastModifiedBy as specified .
  `AuditHistory`
  `setLastModifiedDate(Date lastModifiedDate)`
  Method sets the lastModifiedDate as specified.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuditHistory

    public AuditHistory()

  - ### AuditHistory

    public AuditHistory(String createdBy, Date createdDate, String lastModifiedBy, Date lastModifiedDate)

- ## Method Details

  - ### getCreatedBy

    public String getCreatedBy()
    Returns the name of the user.
    Returns:
      createdBy String

  - ### setCreatedBy

    public AuditHistory setCreatedBy(String createdBy)
    Method to set the value for createdBy as specified.
    Parameters:
      `createdBy` - String

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns the user who has recently modified.
    Returns:
      lastModifiedBy String

  - ### setLastModifiedBy

    public AuditHistory setLastModifiedBy(String lastModifiedBy)
    Method to set the value for lastModifiedBy as specified .
    Parameters:
      `lastModifiedBy` - String

  - ### getCreatedDate

    public String getCreatedDate()
    Returns the createdDate.
    Returns:
      createdDate Date

  - ### getCreatedDate

    public Date getCreatedDate(boolean isReturnDateObject)

  - ### setCreatedDate

    public AuditHistory setCreatedDate(Date createdDate)
    Method sets the createdDate to the value as specified in argument.
    Parameters:
      `createdDate` - Date

  - ### getLastModifiedDate

    public String getLastModifiedDate()
    Returns the LastModifiedDate.
    Returns:
      lastModifiedDate Date

  - ### getLastModifiedDate

    public Date getLastModifiedDate(boolean isReturnDateObject)

  - ### setLastModifiedDate

    public AuditHistory setLastModifiedDate(Date lastModifiedDate)
    Method sets the lastModifiedDate as specified.
    Parameters:
      `lastModifiedDate` - Date

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`